Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Class AutonomyLanguageParameterSet

    java.lang.Object
      com.bea.content.expression.AutonomyLanguageParameterSet

All Implemented Interfaces
  Serializable

    public class AutonomyLanguageParameterSet

extends Object
implements Serializable

Represents Autonomy-specific Full Text Search Engine Language Parameters for use during query.

During query processing, for the LanguageType and AnyLanguage Autonoomy-specific query parameters, the ContentContext FullTextSearchEngineLanguageParameters.QUERY_LANGUAGE_PARAMETER_KEY value is first scanned for a setting. If no value is found, then the Repository Configuration is scanned for a value. If no value is found, then the query does not specify a value for the query parameter.

By calling setLanguageType(null), it is possible to force the Repository Configuration language type property (if specified) to be ignored. The net result is that no language type would be specified for the query. The same can be done for the AnyLanguage parameter.

See Also
  Serialized Form

Constructor Summary
`AutonomyLanguageParameterSet()` create an unconfigured AutonomyLanguageParameterSet object.
`AutonomyLanguageParameterSet(String languageType)` create an AutonomyLanguageParameterSet object with the specified language type.

Method Summary
`boolean` | `equals(Object obj)`
`Boolean` | `getAnyLanguage()` retrieve the current AnyLanguage value.
`String` | `getLanguageType()` retrieve the current LanguageType.
`String` | `getMatchEncoding()` retrieve the current MatchEncoding value.
`String` | `getMatchLanguage()` retrieve the current MatchLanguage value.
`String` | `getMatchLanguageType()` retrieve the current MatchLanguageType value.
`boolean` | `isAnyLanguageSet()` determine if the anyLanguage parameter has been set
`boolean` | `isLanguageTypeSet()` determine if the languageType has been set
`boolean` | `isMatchEncodingSet()` determine if the matchEncoding parameter has been set
`boolean` | `isMatchLanguageSet()` determine if the matchLanguage has been set
`boolean` | `isMatchLanguageTypeSet()` determine if the matchLanguageType parameter has been set
`void` | `setAnyLanguage(Boolean anyLanguage)` Represents the Autonomy AnyLanguage parameter, which expands the query to search any language.
`void` | `setLanguageType(String languageType)` Represents the Autonomy LanguageType parameter, which must be one of the LanguageTypes defined in the AutonomyIDOLServer.cfg file.
`void` | `setMatchEncoding(String matchEncoding)` Represents the Autonomy MatchEncoding parameter, which restricts the query to one or more encodings.
`void` | `setMatchLanguage(String matchLanguage)` Represents the Autonomy MatchLanguage parameter, which restricts the query to one or more languages.
`void` | `setMatchLanguageType(String matchLanguageType)` Represents the Autonomy MatchLanguageType parameter, which restricts the query to one or more language types.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutonomyLanguageParameterSet

    public AutonomyLanguageParameterSet()

  create an unconfigured AutonomyLanguageParameterSet object.

### AutonomyLanguageParameterSet

    public AutonomyLanguageParameterSet(String languageType)

  create an AutonomyLanguageParameterSet object with the specified language type. See setLanguageType for details.

Method Detail

### getLanguageType

    public String getLanguageType()

  retrieve the current LanguageType. call isLanguageTypeSet to determine if the languageType has been set.

### isLanguageTypeSet

    public boolean isLanguageTypeSet()

  determine if the languageType has been set

### setLanguageType

    public void setLanguageType(String languageType)

  Represents the Autonomy LanguageType parameter, which must be one of the LanguageTypes defined in the AutonomyIDOLServer.cfg file. Null means that no LanguageType should be specified.

  This parameter defines the language and encoding of the query text. In other words, the language and encoding of your query text determine this parameter. It also influences the set of languages searched by Autonomy.

  According to Autonomy docs and experimentation, the behavior is as follows: By default, the query will find results in the language associated with the LanguageType parameter. (but may include other encodings). Use setAnyLanguageType to search other languages. Use setMatchLanguageType, setMatchLanguage, or setMatchEncoding to restrict the set of language types, languages or encodings.

  See Autonomy docs for more detail.

  Parameters
    `languageType` - the language type

### getAnyLanguage

    public Boolean getAnyLanguage()

  retrieve the current AnyLanguage value. call isAnyLanguageSet to determine if the anyLanguage has been set.

### setAnyLanguage

    public void setAnyLanguage(Boolean anyLanguage)

  Represents the Autonomy AnyLanguage parameter, which expands the query to search any language. Null means that no AnyLanguage parameter should be specified.

  Note that it is often necessary to call setLanguageType as well, to specify the language and encoding of the query text.

  Use setMatchLanguageType, setMatchLanguage, or setMatchEncoding to restrict the set of language types, languages, or encodings.

  See Autonomy docs for more detail.

  Parameters
    `anyLanguage` - true to search any language

### isAnyLanguageSet

    public boolean isAnyLanguageSet()

  determine if the anyLanguage parameter has been set

### getMatchLanguageType

    public String getMatchLanguageType()

  retrieve the current MatchLanguageType value. call isMatchLanguageType to determine if the matchLanguageType has been set.

### setMatchLanguageType

    public void setMatchLanguageType(String matchLanguageType)

  Represents the Autonomy MatchLanguageType parameter, which restricts the query to one or more language types. Null means that no MatchLanguageType parameter should be specified.

  Note that it is often necessary to call setLanguageType and setAnyLanguage as well, to specify the language and encoding of the query text, and to expand the query to consider all languages.

  You can use only one of setMatchLanguageType, setMatchLanguage, or setMatchEncoding.

  See Autonomy docs for more detail.

  Parameters
    `matchLanguageType` - the language type to match

### isMatchLanguageTypeSet

    public boolean isMatchLanguageTypeSet()

  determine if the matchLanguageType parameter has been set

### getMatchEncoding

    public String getMatchEncoding()

  retrieve the current MatchEncoding value. call isMatchEncodingSet to determine if the matchEncoding has been set.

### setMatchEncoding

    public void setMatchEncoding(String matchEncoding)

  Represents the Autonomy MatchEncoding parameter, which restricts the query to one or more encodings. Null means that no MatchEncoding parameter should be specified.

  Note that it is generally necessary to call setLanguageType as well, to specify the language and encoding of the query text.

  You can use only one of setMatchLanguageType, setMatchLanguage, or setMatchEncoding.

  See Autonomy docs for more detail.

  Parameters
    `matchEncoding` - the encoding type to match

### isMatchEncodingSet

    public boolean isMatchEncodingSet()

  determine if the matchEncoding parameter has been set

### getMatchLanguage

    public String getMatchLanguage()

  retrieve the current MatchLanguage value. call isMatchLanguageSet to determine if the matchLanguage has been set.

### setMatchLanguage

    public void setMatchLanguage(String matchLanguage)

  Represents the Autonomy MatchLanguage parameter, which restricts the query to one or more languages. Null means that no MatchLanguage parameter should be specified.

  Note that it is generally necessary to call setLanguageType as well, to specify the language and encoding of the query text.

  You can use only one of setMatchLanguageType, setMatchLanguage, or setMatchEncoding.

  See Autonomy docs for more detail.

  Parameters
    `matchLanguage` - the encoding type to match

### isMatchLanguageSet

    public boolean isMatchLanguageSet()

  determine if the matchLanguage has been set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.